%define api 1
%define major 0
%define libname %mklibname %name %api %major
%define libecore %mklibname %name-ecore %api %major
%define libglib %mklibname %name-glib %api %major
%define develname %mklibname -d %name

Summary:	Native C++ bindings for D-Bus
Name:		dbus-c++
Version:	0.9.0
Release:	%mkrel 3
Group:		System/Libraries
License:	LGPLv2+
URL:		http://sourceforge.net/apps/mediawiki/dbus-cplusplus/index.php?title=Main_Page
Source0:	http://downloads.sourceforge.net/dbus-cplusplus/libdbus-c++-%{version}.tar.xz
Patch0: libdbus-c++-0.9.0-link.patch
Patch1: libdbus-c++-0.9.0-gcc47.patch
Patch3: dbus-c++-macro_collision.patch
Patch4: dbus-c++-threading.patch
Patch5: dbus-c++-writechar.patch
Patch6: dbus-c++-template-operators.patch
BuildRequires: pkgconfig(dbus-1) >= 0.60
BuildRequires: pkgconfig(ecore)
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(gtkmm-2.4)
BuildRequires: pkgconfig(expat)

%description
Native C++ bindings for D-Bus for use in C++ programs.

%package -n %libname
Group:		System/Libraries
Summary:	Native C++ bindings for D-Bus

%description -n %libname
Native C++ bindings for D-Bus for use in C++ programs.

%package -n %libecore
Group:		System/Libraries
Summary:	Ecore integration for %name

%description -n %libecore
Ecore integration for %name.

%package -n %libglib
Group:		System/Libraries
Summary:	Glib integration for %name

%description -n %libglib
Glib integration for %name.

%package	-n %develname
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Requires:	%{libecore} = %{version}-%{release}
Requires:	%{libglib} = %{version}-%{release}
Requires:	%name >= %version-%release
Provides:	%name-devel = %{version}-%{release}

%description	-n %develname
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q -n lib%{name}-%{version}
%apply_patches

# fix build with new automake 1.13
sed -i -e 's,AM_CONFIG_HEADER,AC_CONFIG_HEADERS,g' configure.ac

%build
autoreconf -fi
CXXFLAGS="%{optflags} -std=gnu++11" \
%configure2_5x --disable-static
%make_build

%install
%make_install
rm -f %{buildroot}%{_libdir}/*.la

%files
%{_bindir}/dbusxx-introspect
%{_bindir}/dbusxx-xml2cpp

%files -n %libname
%{_libdir}/libdbus-c++-%{api}.so.%{major}*

%files -n %libecore
%{_libdir}/libdbus-c++-ecore-%{api}.so.%{major}*

%files -n %libglib
%{_libdir}/libdbus-c++-glib-%{api}.so.%{major}*

%files -n %develname
%doc TODO
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*


%changelog
* Tue Sep 27 2022 tex - 0.9.0-3pclos2022
- rebuild against updates

* Sun Jun 06 2021 tex - 0.9.0-2pclos2021
- rebuild against updates

* Tue Apr 22 2019 tex 0.9.0-1pclos2019
- update
